#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

require 'puppet_x/enterprisemodules/oracle/access'
require 'easy_type'

Puppet::Type.type(:ora_rman_config).provide(:simple) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Oracle::Access

  confine :exists => settings_file

  #
  # No need to add or remove anything here
  #
  desc 'This is the generic provider for a easy_type type'

  mk_resource_methods
end
